#!/bin/sh

# This is the place for the scripts that are a bit more involved than can be
# expressed in shell aliases or functions, or that I want to access from dmenu.
# These are pretty messy but most of them work. Pretty easy for bugs to hide in
# here so I go in with pesticide often.

set -x
mkdir -p $HOME/bin/oneliners || exit
cd $HOME/bin/oneliners

SUDO=doas
SHEBANG="#!/bin/sh\n"
BASH_SHEBANG="#!/bin/bash\n"

DMENU_LINES="40"

# private bookmarks
printf $SHEBANG'$BROWSER file://$HOME/bookmarks.html\n' >bmarks

# deemix
printf $SHEBANG'python $HOME/src/deemix-pyweb/deemix-pyweb.py\n' >deemix

# settings for specific monitors
printf $SHEBANG'xrandr --output HDMI-1 --auto --mode 720x480 --right-of LVDS-1\n' >1702
printf $SHEBANG'xrandr --output VGA-1  --auto                --right-of LVDS-1\n' >mv720

# more monitor settings
printf $SHEBANG"xrandr --output HDMI-1 --off\n" >hdmioff
printf $SHEBANG"xrandr --output VGA-1  --off\n" >vgaoff

# mounting volumes
printf $SHEBANG"[ -z \"\$1\" ] && printf 'Usage: %%b [device]\\\\n' \"\$0\" && exit 1 || true
[ -d \"/mnt/\$1\" ] || $SUDO mkdir \"/mnt/\$1\"
$SUDO mount \"/dev/\$1\" \"/mnt/\$1\" && cd \"/mnt/\$1\"\n" >mnt

# wireguard vpn stuff
printf $SHEBANG$SUDO' wg-quick up "$@"\n' >vpn-connect
printf $SHEBANG$SUDO' wg-quick down "$@"\n' >vpn-disconnect
printf $SHEBANG$SUDO' ls /etc/wireguard/ | grep "conf$" | awk -F ".conf" "{print $1}"\n' >vpn-list
printf $SHEBANG'xterm -e "vpn-connect $(vpn-list | dmenu); read -s -n 1"\n' >vpn-quick # not to be confused with wg-quick

# youtube-dl stuff
printf $SHEBANG"youtube-dl --add-metadata -i -o \"$HOME/%%(upload_date)s %%(title)s.%%(ext)s\" \"\$@\"\n" >youtube-dlo
printf $SHEBANG"youtube-dlo -f \"bestvideo[vcodec=vp9]+bestaudio[acodec=opus]\" \"\$@\"\n" >youtube-dlp
printf $SHEBANG"youtube-dlp -f \$(youtube-dl -F \$1 | tail +4 | dmenu -p \"Choose a format.\" -l $DMENU_LINES | awk '{ print \$1 }') \"\$@\"\n" >youtube-dl-interactive
printf $SHEBANG"youtube-dl-interactive \"\$@\" -o - | mpv -\n" >youtube-dl-mpv

# sxhkd
printf $SHEBANG"cd '$HOME/.config/sxhkd/'
cat sxhkdrc-base sxhkdrc-bspwm >sxhkdrc
pkill sxhkd -USR1\n" >sxhkd-bspwm-reload

set +x

ls && [ $(printf "Yes.\nNo." | dmenu -p "Any risky files?") = "No." ] && printf "Making executable.\n" && chmod +x *
